package org.etsi.t3q.config;

public class EmbeddedExtensionConfig {
	private boolean checkWaitStatementPrecededByLog = true;
	private boolean checkNoNestedModes = true;
	private int allowedModeNestingDepth = 2;

	public boolean isCheckWaitStatementPrecededByLog() {
		return checkWaitStatementPrecededByLog;
	}

	public void setCheckWaitStatementPrecededByLog(
			boolean checkWaitStatementPrecededByLog) {
		this.checkWaitStatementPrecededByLog = checkWaitStatementPrecededByLog;
	}

	public void setCheckNoNestedModes(boolean checkNoNestedModes) {
		this.checkNoNestedModes = checkNoNestedModes;
	}

	public boolean isCheckNoNestedModes() {
		return checkNoNestedModes;
	}

	public void setAllowedModeNestingDepth(int allowedModeNestingDepth) {
		this.allowedModeNestingDepth = allowedModeNestingDepth;
	}

	public int getAllowedModeNestingDepth() {
		return allowedModeNestingDepth;
	}
}
